Show / Hide Table of Contents

# Struct InfoProxyCrossRealm

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Info

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct InfoProxyCrossRealm

### Fields

| Improve this Doc View Source

#### CrossRealmGroupArray

##### Declaration

    public byte *CrossRealmGroupArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### GroupCount

##### Declaration

    public byte GroupCount

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsCrossRealm

##### Declaration

    public byte IsCrossRealm

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsInAllianceRaid

##### Declaration

    public byte IsInAllianceRaid

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsInCrossRealmParty

##### Declaration

    public byte IsInCrossRealmParty

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsPartyLeader

##### Declaration

    public byte IsPartyLeader

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LocalPlayerGroupIndex

##### Declaration

    public byte LocalPlayerGroupIndex

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UiModule

##### Declaration

    public UIModule*UiModule

##### Field Value

Type | Description
--- | ---
UIModule* |

| Improve this Doc View Source

#### Vtbl

##### Declaration

    public void **Vtbl

##### Field Value

Type | Description
--- | ---
System.Void** |

### Properties

| Improve this Doc View Source

#### CrossRealmGroupSpan

##### Declaration

    public readonly ReadOnlySpan<CrossRealmGroup> CrossRealmGroupSpan { get; }

##### Property Value

Type | Description
--- | ---
System.ReadOnlySpan<CrossRealmGroup> |

### Methods

| Improve this Doc View Source

#### GetGroupIndex(Byte)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 0F B6 D8 8B CB", IsStatic = true)]
    public static byte GetGroupIndex(byte group)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | group |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GetGroupMember(UInt32, Int32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 44 38 60 4B", IsStatic = true)]
    public static CrossRealmMember*GetGroupMember(uint memberIndex, int groupIndex = -1)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | memberIndex |
System.Int32 | groupIndex |

##### Returns

Type | Description
--- | ---
CrossRealmMember* |

| Improve this Doc View Source

#### GetGroupMemberCount(Int32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 0F B6 C0 EB 0C", IsStatic = true)]
    public static byte GetGroupMemberCount(int groupIndex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | groupIndex |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GetMemberByContentId(UInt64)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 8B F8 8B 46 10", IsStatic = true)]
    public static CrossRealmMember*GetMemberByContentId(ulong contentId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | contentId |

##### Returns

Type | Description
--- | ---
CrossRealmMember* |

| Improve this Doc View Source

#### GetMemberByObjectId(UInt32)

##### Declaration

    [MemberFunction("40 53 4C 8B 05", IsStatic = true)]
    public static CrossRealmMember*GetMemberByObjectId(uint objectId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | objectId |

##### Returns

Type | Description
--- | ---
CrossRealmMember* |

| Improve this Doc View Source

#### GetPartyMemberCount()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 3C 01 77 4B", IsStatic = true)]
    public static byte GetPartyMemberCount()

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Instance()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 80 B8 ?? ?? ?? ?? ?? 74 5C", IsStatic = true)]
    public static InfoProxyCrossRealm*Instance()

##### Returns

Type | Description
--- | ---
InfoProxyCrossRealm* |

| Improve this Doc View Source

#### IsAllianceRaid()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 84 C0 75 8F", IsStatic = true)]
    public static bool IsAllianceRaid()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsContentIdInParty(UInt64)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 84 C0 75 2E 0F B6 5E 11", IsStatic = true)]
    public static bool IsContentIdInParty(ulong contentId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | contentId |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsCrossRealmParty()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? F6 D8 1A C0", IsStatic = true)]
    public static bool IsCrossRealmParty()

##### Returns

Type | Description
--- | ---
System.Boolean |